/*
 * This file is part of the Liquid project.
 * It is header file of class MCE, which handles different states
 * of device (Display On/Off).
 *
 * Copyright (C) 2009 Kirpichonock K.N. <kirpiche@cs.karelia.ru>
 * Copyright (C) 2009 Volkov A.A. <volkov@cs.karelia.ru>
 * Copyright (C) 2009 Dmitriev V.V. <vdmitrie@cs.karelia.ru>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

#ifndef MCE_H
#define MCE_H

#include <QtDBus>
#include <QObject>

class MCE : public QObject
{
    Q_OBJECT

public:
    MCE(QObject *parent = 0);

    QDBusInterface *dBusInterface;

public slots:
    void displayStateChanged(const QDBusMessage &message);
    void displayStateError(const QDBusError &error);
    void setDisplayState(const QString &state);

signals:
    void sigDisplayStateChanged(const QString &state);
};

#endif // MCE_H
